Subject: RE: [Sipping] Re: draft-elwell-sipping-service-retargeting-00.txt

From: "Elwell, John" <[email-masked]>
Date: Mon, 31 Oct 2005 08:40:28 +0000

Dale,

I doubt that you would retarget in some of these cases, particularly
unauthorised, payment required or unsupported URI scheme. We could consider
extending the list to some of the other reasons, if there is interest.

John

> -----Original Message-----
> From: Dale R. Worley [mailto:[email-masked]] 
> Sent: 24 October 2005 13:59
> To: Sipping
> Subject: RE: [Sipping] Re: 
> draft-elwell-sipping-service-retargeting-00.txt
> 
> Another thing that occurred to me while reading these drafts is that
> there are probably more redirection reasons than are given in the
> current table.  For instance, there is a whole class of "redirected
> because the UA couldn't handle this call technically", which includes:
> 
> 401 (Unauthorized, if the UAC has no credentials for that realm)
> 402 (Payment Required, if the UAC is unable to provide payment info)
> 405 (Method Not Allowed)
> 406 (Content Type Not Acceptable)
> 415 (Unsupported Media Type)
> 416 (Unsupported URI Scheme)
> 420 (Extension Not Understood)
> 421 (Client Extension Required)
> 
> And while I was going through 3261 to make that list, I could see that
> there were other categories of 4xx responses that could be sensibly
> grouped into other categories that are not covered by the 
> current list.
> 
> Dale
> 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP